Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jan 2024 10:12:54 +0200

> From: João Távora <[email-masked]>
> Date: Sat, 6 Jan 2024 00:16:02 +0000
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> On Fri, Jan 5, 2024 at 11:51 PM Stefan Monnier <[email-masked]> wrote:
> > That's why in my patch I add `python-mode` as an extra parent of
> > `python-ts-mode` even though they both share `python-base-mode` as
> > their parent.
> 
> Right, that's what sounds hacky to me.  They're siblings, but now
> one also is the parent of the other.

Not "parents", "extra parents".  The documentation explains the
purpose of this.

> And I don't see how "foo-base-mode" is much worse, modulo slightly
> more akward naming and backward compatibility problems that you would
> have anyway.

It requires more changes everywhere, for starters.